using System;

public class Student 
{
	private int _Age;  //  !
	public Int32 Age 
	{ //  
		get { return _Age; }
		set 
		{ 
			if(value < 0) // value   
			{
				throw new ArgumentOutOfRangeException("Age must be positive!");
			}
			if(value >= 18)	
			{
				goToTheRedArmy();
			}
			_Age = value;
		}
	}
	void goToTheRedArmy() {/*do nothing*/}
}

public class WideVector 
{
	private int[] vectorData;
	public WideVector() { vectorData = new int[100]; }
	public int this[int pos] 
	{
		get 
		{
			if(pos < 0 || pos > 10)
				throw new IndexOutOfRangeException(
                                "Index must be positive and less than 10");
			return vectorData[pos*10];
		}
		set 
		{
			if(pos < 0 || pos > 10)
				throw new IndexOutOfRangeException(
					"Index must be positive and less than 10");
			vectorData[pos*10] = value;
		}
	}
}

class App
{
	static void Main(string[] args)
	{
		Student student = new Student();

		if(0 == student.Age)
		{
			//student.Age = -10;
		}

		WideVector vector = new WideVector();

		for(int i = 0; i < 10; ++i)
		{
			vector[i] = 2*i;
		}
		for(int i = 0; i < 10; ++i)
		{
			Console.Write(vector[i]);
		}
	}
}
